pacho       15/06/30 18:55:26

  Modified:             gdm-3.16.1.1.ebuild ChangeLog
  Removed:              gdm-3.14.1-r1.ebuild
  Log:
  Add a warning about new GDM opening new sessions on separate TTYs and point 
to documentation suggesting how to handle it (#551726), drop old.
  
  (Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 
A188FBD4)

Revision  Changes    Path
1.2                  gnome-base/gdm/gdm-3.16.1.1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild?r1=1.1&r2=1.2

Index: gdm-3.16.1.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- gdm-3.16.1.1.ebuild 9 Jun 2015 15:26:22 -0000       1.1
+++ gdm-3.16.1.1.ebuild 30 Jun 2015 18:55:26 -0000      1.2
@@ -1,12 +1,12 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild,v 1.1 
2015/06/09 15:26:22 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gdm/gdm-3.16.1.1.ebuild,v 1.2 
2015/06/30 18:55:26 pacho Exp $
 
 EAPI="5"
 GCONF_DEBUG="yes"
 GNOME2_LA_PUNT="yes"
 
-inherit autotools eutils gnome2 pam readme.gentoo systemd user
+inherit autotools eutils gnome2 pam readme.gentoo systemd user versionator
 
 DESCRIPTION="GNOME Display Manager for managing graphical display servers and 
user logins"
 HOMEPAGE="https://wiki.gnome.org/Projects/GDM";
@@ -21,8 +21,10 @@
 "
 
 SLOT="0"
+
 IUSE="accessibility audit branding fprint +introspection ipv6 plymouth selinux 
smartcard +systemd tcpd test wayland xinerama"
 REQUIRED_USE="wayland? ( systemd )"
+
 KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86"
 
 # NOTE: x11-base/xorg-server dep is for X_SERVER_PATH etc, bug #295686
@@ -31,7 +33,7 @@
 # We need either systemd or >=openrc-0.12 to restart gdm properly, bug #463784
 COMMON_DEPEND="
        app-text/iso-codes
-       >=dev-libs/glib-2.36:2
+       >=dev-libs/glib-2.36:2[dbus]
        >=x11-libs/gtk+-2.91.1:3
        >=gnome-base/dconf-0.20
        >=gnome-base/gnome-settings-daemon-3.1.4
@@ -61,7 +63,7 @@
        sys-auth/pambase[systemd?]
 
        audit? ( sys-process/audit )
-       introspection? ( >=dev-libs/gobject-introspection-0.9.12 )
+       introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
        plymouth? ( sys-boot/plymouth )
        selinux? ( sys-libs/libselinux )
        tcpd? ( >=sys-apps/tcp-wrappers-7.6 )
@@ -90,6 +92,7 @@
        app-text/docbook-xml-dtd:4.1.2
        dev-util/gdbus-codegen
        >=dev-util/intltool-0.40.0
+       dev-util/itstool
        virtual/pkgconfig
        x11-proto/inputproto
        x11-proto/randrproto
@@ -176,7 +179,6 @@
                $(use_with tcpd tcp-wrappers) \
                $(use_enable wayland wayland-support) \
                $(use_with xinerama) \
-               ITSTOOL=$(type -P true) \
                ${myconf}
 }
 
@@ -219,4 +221,9 @@
        eend ${ret}
 
        readme.gentoo_print_elog
+
+       if ! version_is_at_least 3.16.0 ${REPLACING_VERSIONS}; then
+               ewarn "GDM will now use a new TTY per logged user as explained 
at:"
+               ewarn 
"https://wiki.gentoo.org/wiki/Project:GNOME/GNOME3-Troubleshooting#GDM_.3E.3D_3.16_opens_one_graphical_session_per_user";
+       fi
 }



1.422                gnome-base/gdm/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/ChangeLog?rev=1.422&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/ChangeLog?rev=1.422&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/gnome-base/gdm/ChangeLog?r1=1.421&r2=1.422

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/gnome-base/gdm/ChangeLog,v
retrieving revision 1.421
retrieving revision 1.422
diff -u -r1.421 -r1.422
--- ChangeLog   26 Jun 2015 09:21:48 -0000      1.421
+++ ChangeLog   30 Jun 2015 18:55:26 -0000      1.422
@@ -1,6 +1,11 @@
 # ChangeLog for gnome-base/gdm
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/gnome-base/gdm/ChangeLog,v 1.421 2015/06/26 
09:21:48 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/gnome-base/gdm/ChangeLog,v 1.422 2015/06/30 
18:55:26 pacho Exp $
+
+  30 Jun 2015; Pacho Ramos <[email protected]> -gdm-3.14.1-r1.ebuild,
+  gdm-3.16.1.1.ebuild:
+  Add a warning about new GDM opening new sessions on separate TTYs and point 
to
+  documentation suggesting how to handle it (#551726), drop old.
 
   26 Jun 2015; Agostino Sarubbo <[email protected]> gdm-3.14.2.ebuild:
   Stable for x86, wrt bug #551814




Reply via email to